# classes/phing/ConfigurationException.php

ConfigurationException is thrown by Phing during the configuration and setup phase of the project.

author
  Hans Lellelid
package
  phing
version
  $Revision: 552 $

## \ConfigurationException
jump to top

ConfigurationException is thrown by Phing during the configuration and setup phase of the project.

Extends from
  \Exception
author
  Hans Lellelid
package
  phing
version
  $Revision: 552 $

### Properties

`\Exception $cause= ''`

The nested "cause" exception.

Details

Type
  \Exception

`\Location $location= ''`

Location in the xml file.

Details

Type
  \Location

### Methods

`__construct( $p1, $p2 = null, $p3 = null ) :`
Construct a BuildException.

Supported signatures: throw new BuildException($causeExc); throw new BuildException($msg); throw new BuildException($msg, $causeExc);

Parameters

Name | Type | Description
--- | --- | ---
$p1 |  |
$p2 |  |
$p3 |  |

`__toString( ) :`
Inherited from:
`getCause( ) : \Exception`
Gets the cause exception.
Returns

Type | Description
--- | ---
\Exception |

`getCode( ) :`
final Inherited from:
`getFile( ) :`
final Inherited from:
`getLine( ) :`
final Inherited from:
`getMessage( ) :`
final Inherited from:
`getPrevious( ) :`
final Inherited from:
`getTrace( ) :`
final Inherited from:
`getTraceAsString( ) :`
final Inherited from:
Documentation was generated by DocBlox 0.13.1.